<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingTop="20dp"
    android:paddingBottom="20dp"
    android:paddingLeft="10dp"
    android:paddingRight="10dp">
    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:paddingStart="10dp"
        android:paddingEnd="15dp"
        android:paddingTop="30dp"
        tools:context=".fragments.EditElementFragment">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingLeft="20dp"
            android:paddingTop="20dp"
            android:text="New Name"
            android:textColor="@color/black"
            android:textSize="20dp" />

        <EditText
            android:id="@+id/newNameElement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:ems="10"
            android:hint="new gift name"
            android:inputType="text"
            android:paddingLeft="20dp"
            android:paddingBottom="20dp" />


        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingLeft="20dp"
            android:paddingTop="20dp"
            android:text="New  link"
            android:textColor="@color/black"
            android:textSize="20dp" />


        <EditText
            android:id="@+id/newLinkElement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:ems="10"
            android:hint="new gift link"
            android:inputType="text"
            android:paddingLeft="20dp"
            android:paddingBottom="20dp" />


        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingLeft="20dp"
            android:paddingTop="20dp"
            android:text="New Address"
            android:textColor="@color/black"
            android:textSize="20dp" />


        <EditText
            android:id="@+id/newAddressElement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:ems="10"
            android:hint="new gift address"
            android:inputType="text"
            android:paddingLeft="20dp"
            android:paddingBottom="20dp" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingLeft="20dp"
            android:paddingTop="20dp"
            android:text="New Price"
            android:textColor="@color/black"
            android:textSize="20dp" />

        <EditText
            android:id="@+id/newPriceElement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:ems="10"
            android:hint="new gift price"
            android:inputType="numberDecimal"
            android:paddingLeft="20dp"
            android:paddingBottom="20dp" />


        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingLeft="20dp"
            android:paddingTop="20dp"
            android:text="New Description"
            android:textColor="@color/black"
            android:textSize="20dp" />


        <EditText
            android:id="@+id/newDescriptionElement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:ems="10"
            android:hint="new description of the gift"
            android:inputType="text"
            android:paddingLeft="20dp"
            android:paddingBottom="20dp" />


        <LinearLayout
            android:id="@+id/layoutChangeElement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginStart="20dp"
            android:layout_marginTop="30dp"
            android:layout_marginEnd="20dp"
            android:gravity="center"
            android:orientation="horizontal">

            <Button
                android:id="@+id/cancelEditElement"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:layout_margin="10dp"
                android:layout_weight="1"
                android:drawableLeft="@android:drawable/ic_menu_close_clear_cancel"
                android:text="cancel" />

            <Button
                android:id="@+id/saveUpdateElement"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:layout_margin="10dp"
                android:layout_weight="1"
                android:drawableLeft="@drawable/ic_save_black_24dp"
                android:paddingStart="10dp"
                android:text="Save" />



        </LinearLayout>

    </LinearLayout>
</ScrollView>